com.ihr.xbrl.dts

## Class SchemesProviderImpl

- java.lang.Object
- - com.ihr.xbrl.dts.SchemesProviderImpl

- All Implemented Interfaces:
    SchemesProvider

      public class SchemesProviderImpl
      extends java.lang.Object
      implements SchemesProvider

  Implementation of the SchemesProvider interface. This implementation selects the default scheme from a table depending on the License OEM property. OEMs may indicate their own scheme
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemesProviderImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScheme(Scheme newScheme)` Adds just one new scheme.
    `void` | `delScheme(Scheme scheme)` Removes a scheme from the list.
    `Scheme` | `getDefaultScheme()` Returns the Scheme that should be the default.
    `Scheme` | `getScheme(java.lang.String text)` Returns the Scheme corresponding to the string representation of the scheme in the text parameter.
    `java.util.Iterator<Scheme>` | `getSchemes()` The ordered list of preferred languages.
    `void` | `setDefaultSchemeURI(java.net.URI defaultSchemeURI)` Sets the default scheme uri.
    `void` | `setSchemes(java.util.Collection<Scheme> newCol)` Sets the set of languages (replaces current set of labels) .

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemesProviderImpl

          public SchemesProviderImpl()

  - ### Method Detail

    - #### getSchemes

          public java.util.Iterator<Scheme> getSchemes()

      Description copied from interface: `SchemesProvider`
      The ordered list of preferred languages.
      Specified by:
        `getSchemes` in interface `SchemesProvider`
      Returns:
        Collection<String>

    - #### getDefaultScheme

          public Scheme getDefaultScheme()

      Description copied from interface: `SchemesProvider`
      Returns the Scheme that should be the default. Used to select the scheme in combo boxes and things like that.
      Specified by:
        `getDefaultScheme` in interface `SchemesProvider`
      Returns:
        Scheme

    - #### setSchemes

          public void setSchemes(java.util.Collection<Scheme> newCol)

      Description copied from interface: `SchemesProvider`
      Sets the set of languages (replaces current set of labels) .
      Specified by:
        `setSchemes` in interface `SchemesProvider`
      Parameters:
        `newCol` - the new schemes

    - #### addScheme

          public void addScheme(Scheme newScheme)

      Description copied from interface: `SchemesProvider`
      Adds just one new scheme.
      Specified by:
        `addScheme` in interface `SchemesProvider`
      Parameters:
        `newScheme` - the new scheme

    - #### delScheme

          public void delScheme(Scheme scheme)

      Description copied from interface: `SchemesProvider`
      Removes a scheme from the list.
      Specified by:
        `delScheme` in interface `SchemesProvider`
      Parameters:
        `scheme` - the scheme

    - #### getScheme

          public Scheme getScheme(java.lang.String text)

      Description copied from interface: `SchemesProvider`
      Returns the Scheme corresponding to the string representation of the scheme in the text parameter. If the scheme is not found then a new entry is created automatically. If the text is not a valid URI the method returns null
      Specified by:
        `getScheme` in interface `SchemesProvider`
      Parameters:
        `text` - the text
      Returns:
        Scheme

    - #### setDefaultSchemeURI

          public void setDefaultSchemeURI(java.net.URI defaultSchemeURI)

      Sets the default scheme uri.
      Parameters:
        `defaultSchemeURI` - the new default scheme uri